Skip to main content
curl -X POST https://api.dronebundle.com/v1/job-types \
  -H "Authorization: Bearer v1_your_api_key_here" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Bridge Survey"
  }'
{
  "id": "019d4370-abcd-7000-8000-123456789abc"
}
Requires an API key with full_access scope. Creates a custom job type that can be used when creating jobs. Predefined types (e.g. Wind Turbine, Cell Tower) are always available and do not need to be created.

Body

name
string
required
Job type name. 1 to 50 characters.
icon
string
default:"settings"
Icon identifier used in the dashboard. Max 20 characters. Defaults to settings. Icons are based on Lucide icon names (e.g. wind, radio, home, zap, sun, hammer, database, traffic-cone, settings).

Response

id
string
required
The unique identifier of the newly created job type.
curl -X POST https://api.dronebundle.com/v1/job-types \
  -H "Authorization: Bearer v1_your_api_key_here" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Bridge Survey"
  }'
{
  "id": "019d4370-abcd-7000-8000-123456789abc"
}

Errors

400 Bad Request - Validation failed.
{
  "message": "name is required"
}
Other validation messages include:
  • name must be between 1 and 50 characters
  • icon must be a string
  • icon must be less than 20 characters